## MetaBackgroundActor MetaBackgroundActor — Actor for painting the root window background |

## Functions

ClutterActor * | meta_background_actor_new_for_screen ()

## Properties

gfloat | dim-factor | Read / Write

## Types and Values

struct | MetaBackgroundActor

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── ClutterActor
                ╰── MetaBackgroundActor

## Implemented Interfaces

MetaBackgroundActor implements ClutterContainer, ClutterScriptable, ClutterAnimatable and AtkImplementorIface.

## Description

## Functions

### meta_background_actor_new_for_screen ()

    ClutterActor *
    meta_background_actor_new_for_screen (MetaScreen *screen);

Creates a new actor to draw the background for the given screen.

#### Parameters

screen | the MetaScreen |

#### Returns

the newly created background actor

## Types and Values

### struct MetaBackgroundActor

    struct MetaBackgroundActor;

This class handles tracking and painting the root window background. By integrating with MetaWindowGroup we can avoid painting parts of the background that are obscured by other windows.

## Property Details

### The `“dim-factor”` property

      “dim-factor”               gfloat

Factor to dim the background by, between 0.0 (black) and 1.0 (original colors)

Flags: Read / Write

Allowed values: [0,1]

Default value: 1